Bug 181900 - [geom] [patch] Line breaks missing in geli's kern.geom.confxml entries
Summary: [geom] [patch] Line breaks missing in geli's kern.geom.confxml entries
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrey V. Elsukov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-07 00:00 UTC by Fabian Keil
Modified: 2013-12-14 04:21 UTC (History)
0 users

See Also:


Attachments
file.txt (1015 bytes, text/plain)
2013-09-07 00:00 UTC, Fabian Keil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2013-09-07 00:00:00 UTC
The attached patch adds two missing line breaks for geli's kern.geom.confxml entries.

Fix: Patch attached with submission follows:
How-To-Repeat: Attach geli provider, execute sysctl kern.geom.confxml, note missing line breaks for KeysTotal and KeysAllocated.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-09-07 01:54:31 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-geom

Over to maintainer(s).
Comment 2 dfilter service freebsd_committer 2013-11-11 11:13:22 UTC
Author: ae
Date: Mon Nov 11 11:13:12 2013
New Revision: 257965
URL: http://svnweb.freebsd.org/changeset/base/257965

Log:
  Add missing line breaks.
  
  PR:		181900
  MFC after:	1 week

Modified:
  head/sys/geom/eli/g_eli.c

Modified: head/sys/geom/eli/g_eli.c
==============================================================================
--- head/sys/geom/eli/g_eli.c	Mon Nov 11 10:54:06 2013	(r257964)
+++ head/sys/geom/eli/g_eli.c	Mon Nov 11 11:13:12 2013	(r257965)
@@ -1170,9 +1170,9 @@ g_eli_dumpconf(struct sbuf *sb, const ch
 	if (pp != NULL || cp != NULL)
 		return;	/* Nothing here. */
 
-	sbuf_printf(sb, "%s<KeysTotal>%ju</KeysTotal>", indent,
+	sbuf_printf(sb, "%s<KeysTotal>%ju</KeysTotal>\n", indent,
 	    (uintmax_t)sc->sc_ekeys_total);
-	sbuf_printf(sb, "%s<KeysAllocated>%ju</KeysAllocated>", indent,
+	sbuf_printf(sb, "%s<KeysAllocated>%ju</KeysAllocated>\n", indent,
 	    (uintmax_t)sc->sc_ekeys_allocated);
 	sbuf_printf(sb, "%s<Flags>", indent);
 	if (sc->sc_flags == 0)
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 3 Andrey V. Elsukov freebsd_committer 2013-11-11 11:14:27 UTC
State Changed
From-To: open->patched

Patched in head/. 


Comment 4 Andrey V. Elsukov freebsd_committer 2013-11-11 11:14:27 UTC
Responsible Changed
From-To: freebsd-geom->ae

Take it.
Comment 5 dfilter service freebsd_committer 2013-12-14 04:16:40 UTC
Author: ae
Date: Sat Dec 14 04:16:27 2013
New Revision: 259383
URL: http://svnweb.freebsd.org/changeset/base/259383

Log:
  MFC r257965:
    Add missing line breaks.
  
    PR:		181900

Modified:
  stable/10/sys/geom/eli/g_eli.c
Directory Properties:
  stable/10/   (props changed)

Modified: stable/10/sys/geom/eli/g_eli.c
==============================================================================
--- stable/10/sys/geom/eli/g_eli.c	Sat Dec 14 03:08:03 2013	(r259382)
+++ stable/10/sys/geom/eli/g_eli.c	Sat Dec 14 04:16:27 2013	(r259383)
@@ -1170,9 +1170,9 @@ g_eli_dumpconf(struct sbuf *sb, const ch
 	if (pp != NULL || cp != NULL)
 		return;	/* Nothing here. */
 
-	sbuf_printf(sb, "%s<KeysTotal>%ju</KeysTotal>", indent,
+	sbuf_printf(sb, "%s<KeysTotal>%ju</KeysTotal>\n", indent,
 	    (uintmax_t)sc->sc_ekeys_total);
-	sbuf_printf(sb, "%s<KeysAllocated>%ju</KeysAllocated>", indent,
+	sbuf_printf(sb, "%s<KeysAllocated>%ju</KeysAllocated>\n", indent,
 	    (uintmax_t)sc->sc_ekeys_allocated);
 	sbuf_printf(sb, "%s<Flags>", indent);
 	if (sc->sc_flags == 0)
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2013-12-14 04:16:59 UTC
Author: ae
Date: Sat Dec 14 04:16:47 2013
New Revision: 259384
URL: http://svnweb.freebsd.org/changeset/base/259384

Log:
  MFC r257965:
    Add missing line breaks.
  
    PR:		181900

Modified:
  stable/9/sys/geom/eli/g_eli.c
Directory Properties:
  stable/9/sys/   (props changed)

Modified: stable/9/sys/geom/eli/g_eli.c
==============================================================================
--- stable/9/sys/geom/eli/g_eli.c	Sat Dec 14 04:16:27 2013	(r259383)
+++ stable/9/sys/geom/eli/g_eli.c	Sat Dec 14 04:16:47 2013	(r259384)
@@ -1163,9 +1163,9 @@ g_eli_dumpconf(struct sbuf *sb, const ch
 	if (pp != NULL || cp != NULL)
 		return;	/* Nothing here. */
 
-	sbuf_printf(sb, "%s<KeysTotal>%ju</KeysTotal>", indent,
+	sbuf_printf(sb, "%s<KeysTotal>%ju</KeysTotal>\n", indent,
 	    (uintmax_t)sc->sc_ekeys_total);
-	sbuf_printf(sb, "%s<KeysAllocated>%ju</KeysAllocated>", indent,
+	sbuf_printf(sb, "%s<KeysAllocated>%ju</KeysAllocated>\n", indent,
 	    (uintmax_t)sc->sc_ekeys_allocated);
 	sbuf_printf(sb, "%s<Flags>", indent);
 	if (sc->sc_flags == 0)
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 7 Andrey V. Elsukov freebsd_committer 2013-12-14 04:20:29 UTC
State Changed
From-To: patched->closed

Merged to stable/10 and stable/9.